Subject: Re: bug#54285: 29.0.50; Scrolling the calc help buffer

From: Michael Heerdegen <[email-masked]>
Date: Mon, 07 Mar 2022 23:37:31 +0100

Lars Ingebrigtsen <[email-masked]> writes:

> calc-dispatch-help is basically just looping over `read-event' and
> responding only to the keyboard scroll keys.  Perhaps a better way to
> implement this would be to use the normal help functions (which are less
> modal) so that these things work better?

>From what I know: This particular help command is intended to be used
intermediately while reading a key binding: you are supposed to look up
the next key and hit it directly, without interruption.  It's using
`read-event' on purpose.

I also don't like that much, but there are other good help commands to
use instead.  I fear that if you try to change this it will make things
worse or less consistent, the Calc help system is complex, and you might
end up with a non-trivial redesign.  Dunno if the result would be much
of an improvement.

Maybe it's not that bad, dunno, but please be careful.

Michael.